Subject: bug#63054: closed (Re: bug#63054: Input Event <nil>, undocumented?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Sep 2023 10:37:02 +0000

Your bug report

#63054: Input Event <nil>, undocumented?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63054: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63054
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63054: Input Event <nil>, undocumented?
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Shynur Xie <[email-masked]>
Date: Sun, 3 Sep 2023 03:35:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 63054 notabug
> thanks
>
>> From: Shynur Xie <[email-masked]>
>> Date: Mon, 24 Apr 2023 16:08:43 +0000
>> msip_labels:
>>
>> See <https://emacs.stackexchange.com/questions/76952> posted
>> by me.
>>
>> In short, rolling mouse-wheel when the mouse pointer is over some
>> specific UI element leads to an input event started by <nil>.
>>
>> I don't know what's that, and Emacs behaves differently on different OSes.
>
> It simply means mouse-wheel is undefined there.
>
> It's a feature, not a bug.  Don't believe everyone who writes
> something on SE.

I'm therefore closing this bug report.

Subject: Input Event <nil>, undocumented?
From: Shynur Xie <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 24 Apr 2023 16:08:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

See <https://emacs.stackexchange.com/questions/76952> posted
by me.

In short, rolling mouse-wheel when the mouse pointer is over some
specific UI element leads to an input event started by <nil>.

I don't know what's that, and Emacs behaves differently on different OSes.

--
shynur